package com.tzld.piaoquan.recommend.server.config;

import org.apache.spark.SparkConf;
import org.apache.spark.api.java.JavaSparkContext;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;

@Component
public class SparkConfig {

    @PostConstruct
    public void init() {
        SparkConf sparkConf = new SparkConf()
                .setMaster("local")
                .setAppName("XGBoostPredict");
        JavaSparkContext jsc = new JavaSparkContext(sparkConf);
    }

}
